@ECHO OFF
REM **************************************
REM AudioBOM_Data Recovery
REM **************************************

REM AudioBOMがインストールされているか確認する。
IF NOT EXIST \AudioBOM echo Can't find the directory \AudioBOM.
IF NOT EXIST \AudioBOM echo You have to setup 'AudioBOM'.
IF NOT EXIST \AudioBOM PAUSE
IF NOT EXIST \AudioBOM EXIT
IF NOT EXIST \AudioBOM\AudioBOM_Data.accdb echo Can't find AudioBOM_Data.accdb in folder \AudioBOM.
IF NOT EXIST \AudioBOM\AudioBOM_Data.accdb PAUSE 
IF NOT EXIST \AudioBOM\AudioBOM_Data.accdb EXIT

REM リカバリーデータが準備されているか確認する
REM ファイル名 AudioBOM_Data_Recovery.accdb のデータを、
REM リカバリーデータとしてデータ保管先にコピーする。
REM
IF NOT EXIST .\AudioBOM_Data_Recovery.accdb echo *** ERROR ***
IF NOT EXIST .\AudioBOM_Data_Recovery.accdb echo Don't exist Buckup file (AudioBOM_Data_Recovery.accdb) in current directory.
IF NOT EXIST .\AudioBOM_Data_Recovery.accdb echo.
IF NOT EXIST .\AudioBOM_Data_Recovery.accdb echo Please, retry after copy backup file into current directory.
IF NOT EXIST .\AudioBOM_Data_Recovery.accdb PAUSE
IF NOT EXIST .\AudioBOM_Data_Recovery.accdb exit

REM 現行のAudioBOM_Data.accdbをバックアップする。 TT = Temporary Timeの略
SET BUCKUPFILE=\AudioBOM\AudioBOM_Data.accdb
SET TT=%time: =0%
SET MAKEFILE=AudioBOM_Data_%date:~0,4%%date:~5,2%%date:~8,2%_%TT:~0,2%%TT:~3,2%%TT:~6,2%.accdb

RENAME %BUCKUPFILE% %MAKEFILE%

IF EXIST \AudioBOM\%MAKEFILE% echo A File %BUCKUPFILE% is backup to %MAKEFILE%.
IF NOT EXIST \AudioBOM\%MAKEFILE% echo Can't make buckup file. Execution interrupted.
IF NOT EXIST \AudioBOM\%MAKEFILE% PAUSE
IF NOT EXIST \AudioBOM\%MAKEFILE% EXIT

MOVE .\AudioBOM_Data_Recovery.accdb \AudioBOM\AudioBOM_Data.accdb

ECHO Recovery complete.
PAUSE
